# Class CIM_ComputerSystemNodeCapabilities
extends CIM_Capabilities

Indicates general capabilities of a ComputerSystem node, such as the ability to support a battery (and be portable), and ECC memory. To tie these capabilities to a ComputerSystem instance, the ElementCapabilities association is used.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Capabilities
|
+--CIM_ComputerSystemNodeCapabilities

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | Indicates general capabilities of a ComputerSystem node, such as the ability to support a battery (and be portable), and ECC memory. To tie these capabilities to a ComputerSystem instance, the ElementCapabilities association is used.
UMLPackagePath | string | CIM::System::SystemElements
Version | string | 2.7.2

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
BatterySupported | uint16 |
Description | string | Enumeration indicating whether a battery is installable/ supportable on this System. This is independent of whether one is currently installed. The latter is indicated by an instance of the CIM_Battery class associated using the SystemDevice relationship.
Required | boolean | true
ValueMap | string | 0, 2, 3
Values | string | Unknown, Battery Supported, Battery Not Supported
ECCSupported | uint16 |
Description | string | Enumeration indicating whether ECC single or multi-bit memory is supported on this node. This is independent of whether ECC memory is actually installed. The latter is indicated by an instance of CIM_PhysicalMemory that 'Realizes' the CIM_Memory of the System (associated using SystemDevice).
MappingStrings | string | MIF.DMTF|Physical Memory|002.10
Required | boolean | true
ValueMap | string | 0, 2, 3
Values | string | Unknown, Single-bit ECC, Multi-bit ECC

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_Capabilities
InstanceID | string | CIM_Capabilities

## Class Methods